Subject: Ticket Assigned - NO DELIVERY FOR Order number 9557507792
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 18 Feb 2022 04:58:31 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  NO DELIVERY FOR Order number 9557507792 I am writing regarding the pathetic service I have received for your online delivery service  for my MAX order number  9557507792.

I was contacted by the delivery agent on 13 Feb at nearing 10pm at night asking about delivery of the package - firstly , 10pm is not the time for a package to be delivered and also I was not at the office at that time. I requested that the package be delivered the next day.

Feb 14 - NO ONE contacted me howver your online trackign system says that the package was asked to be re-delivered on 14 Feb which IS A COMPLETE LIE.

Today 15 Feb I contacted customer service and they told me that the package will be delivered before 3pm today - it is now almost 4pm and I have not heard anything regarding the delivery.

I must say this is the WORST Service I have ever faced from Max being a loyal customer for the past 10+ years.

I need someone to look into this immeiately.

Regards,

Joanne

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3896392